Bug 719002 - Adding qt-sql-ibase driver for qt
Adding qt-sql-ibase driver for qt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
15
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 08:19 EDT by Minh Ngo
Modified: 2011-08-11 19:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: qt-4.7.3-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-08 21:34:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
or the patch for the old SPEC file (2.19 KB, patch)
2011-07-05 08:19 EDT, Minh Ngo
no flags Details | Diff

  None (edit)
Description Minh Ngo 2011-07-05 08:19:20 EDT
Created attachment 511307 [details]
or the patch for the old SPEC file

Description of problem:
Cannot connect to Firebird database in Qt Toolkit without QIBase Driver.

Version-Release number of selected component (if applicable):
4.7.2-8.fc15

 A code example:
>    db = QSqlDatabase::addDatabase ("QIBase");
>    db.setHostName (host);
>    db.setPort (port);
>    db.setDatabaseName (dbName);
>    db.setUserName (user);
>    db.setPassword (pass);
returns an error:
>QSqlDatabase: QIBase driver not loaded
>QSqlDatabase: available drivers: QSQLITE QSQLITE3 QMYSQL3 QMYSQL QODBC3 QODBC >QPSQL7 QPSQL QTDS7 QTDS

I would suggest adding qt-sql-ibase driver to the Fedora repository to solve this problem.

The new SPEC URL: https://raw.github.com/Ignotus/spec-files/master/qt.spec
SRPM package is too large, so I think it's not necessary to upload it :)
Comment 1 Itamar Reis Peixoto 2011-07-05 08:27:18 EDT
qt is already in fedora, why you have post the spec file of qt ?
Comment 2 Itamar Reis Peixoto 2011-07-05 08:30:43 EDT
ok, if its only a patch to current qt then you must report a bug against qt and include the patch

https://admin.fedoraproject.org/pkgdb/acls/bugs/qt
Comment 3 Minh Ngo 2011-07-05 08:35:53 EDT
This isn't a bug of Qt. You should only update your spec file and create the qt-ibase package that contains %{_qt4_plugindir}/sqldrivers/libqsqlibase.so
Comment 4 Rex Dieter 2011-07-05 09:03:24 EDT
variant of patch included in rawhide.

Will adapt for < f16's qt-4.7.x shortly.
Comment 5 Kevin Kofler 2011-07-05 09:24:57 EDT
Itamar Reis Peixoto wrote:

> ok, if its only a patch to current qt then you must report a bug against qt

Right, but that's what it already IS filed as…

> and include the patch

… and again, right, but the patch is already attached.

So I don't understand your objection. :-)


But FYI (to the submitter, Minh Ngo):

> The new SPEC URL: https://raw.github.com/Ignotus/spec-files/master/qt.spec
> SRPM package is too large, so I think it's not necessary to upload it :)

The patch to the specfile is sufficient. This is not a review request, just a change to an existing specfile. We know what our existing specfile and SRPM looks like. ;-)

Thank you for the patch!
Comment 6 Rex Dieter 2011-07-11 16:03:59 EDT
qt/f15 git branch updated.
Comment 7 Fedora Update System 2011-07-23 20:35:09 EDT
qt-4.7.3-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc15
Comment 8 Fedora Update System 2011-07-25 10:59:31 EDT
qt-4.7.3-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc14
Comment 9 Fedora Update System 2011-07-25 23:45:27 EDT
Package qt-4.7.3-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.7.3-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/qt-4.7.3-8.fc15
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-08-08 21:34:31 EDT
qt-4.7.3-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-08-11 19:27:04 EDT
qt-4.7.3-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.